<?php
/**
 *
 * @package Luzuk Premium
 */
if(get_theme_mod('gallery_section_disable') != 'on' ){ 
	?>
<section id="ht-gallery-section" class="lz-gallery-section">
		<div class="container">
			<?php			
			$gallery_title = get_theme_mod('gallery_title', 'PHOTO GALLERY');
			?>
			<div class="row">
					<?php if( $gallery_title){ ?>
					<div class="ht-section-title-tagline">
						<h2 class="ht-section-title lz-gallery-heading">
							<?php
							if(!empty($gallery_title))	{
								echo ($gallery_title);
							} ?>
						</h2> 
						<div class="titleborder"></div>
						<div class="border-separator-outer">
							<div class="outerborder-separator"></div>
					        <div class="innerborder-separator"></div>
					    </div>
					</div>
					<?php } ?>
				<div class="clearfix"></div>
			</div>
		
			<div class="row">

				<?php 
				$showStatic = true;
				$cols = get_theme_mod('gallery_npp_count', 7);
				$cols++;
				switch($cols){
					case 1:
						$colCls = 'col-md-12 col-sm-12';
						break;
					case 2:
						$colCls = 'col-md-6 col-sm-6';
						break;
					// case 3:
					// case 5:
					// case 6:
					// 	$colCls = 'col-md-4 col-sm-6';
					// 	break;
					default: 
						$colCls = 'col-md-3 col-sm-6';
						break;
				}
				for( $i = 1; $i <= $cols; $i++ ){
					$gallery_page_id = get_theme_mod('gallery_page'.$i); 
					$gallery_page_icon = get_theme_mod('gallery_page_icon'.$i);
					if($gallery_page_id){
						$showStatic = false;
						echo galleryShortCode($gallery_page_id, $isCustomizer=true, $i);
					}
				}

				$args = array(
				  'post_type' => 'our-gallery',
				  'post_status' => 'publish'
				);
				$new = new WP_Query($args); 
				$i=1;
				if($showStatic == true){
		          while ( $new->have_posts() ){
		          	$new->the_post(); 
		          	$thumb = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'medium_large' );
		      		if(has_post_thumbnail()) { $thumb_url = $thumb['0']; }
	      			$url = $thumb['0'];?>
					<div class="col-md-3 col-sm-3 col-xs-6 lz-gallery-images slide-item wow fadeInRight"><a class="group1" href="<?php echo esc_url($thumb_url); ?>" title="<?php the_title(); ?>"><img class="secondry-bg img-responsive" src="<?php echo esc_url($thumb_url); ?>" alt="<?php the_title(); ?>" />
					<div class="overlay"><i class="fa fa-search" aria-hidden="true"></i></div>	
						</a>
					</div>
					<?php 
					$i++; } wp_reset_query();
				} ?>

			</div>
		</div>
		<div class="clearfix"></div>
</section>
<?php }

